# Uses of Interface
org.eclipse.birt.report.engine.extension.IExtendedItem

Packages that use IExtendedItem
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IExtendedItem in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IExtendedItem
Modifier and Type
Method
Description
`IExtendedItem`
IExtendedItemFactory.`createExtendedItem(org.eclipse.birt.report.model.api.ExtendedItemHandle handle)`